View Issue Details

IDProjectCategoryView StatusLast Update
0003003OpenFOAM[All Projects] Bugpublic2018-08-30 10:29
ReporteroscpintobAssigned Towyldckat 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionduplicate 
Platformdebian.orgOSDebianOS Version9 stretch
Product Versiondev 
Fixed in Version 
Summary0003003: I am not able to executable ParaView.
DescriptionI had been working in OpenFoam v17-12 for a few months but I installed recently OpenFoam-dev. Both through Docker.
In v17-12 never had a problem related its use but with "-dev" I can't execute ParaView. It is possible execute the solution of a problem and create the respective file .OpenFOAM but I can't open ParaView.
The problem could be the direction, in the script the error says: /home/Ubuntu/OpenFOAM......
Obviously, Ubuntu doesn’t exist given I am working in Debian but I can’t figure out how fixed.
Steps To ReproduceWhen execute paraFoam command in terminal as OpenFOAM-dev, I have a error.
Additional InformationlibGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
ERROR: In /home/ubuntu/OpenFOAM/ThirdParty-dev/ParaView-5.4.0/VTK/Rendering/OpenGL/vtkXOpenGLRenderWindow.cxx, line 394
vtkXOpenGLRenderWindow (0x2c34810): Could not find a decent visual


ERROR: In /home/ubuntu/OpenFOAM/ThirdParty-dev/ParaView-5.4.0/VTK/Rendering/OpenGL/vtkXOpenGLRenderWindow.cxx, line 394
vtkXOpenGLRenderWindow (0x2c34810): Could not find a decent visual


ERROR: In /home/ubuntu/OpenFOAM/ThirdParty-dev/ParaView-5.4.0/VTK/Rendering/OpenGL/vtkXOpenGLRenderWindow.cxx, line 394
vtkXOpenGLRenderWindow (0x2c34810): Could not find a decent visual


ERROR: In /home/ubuntu/OpenFOAM/ThirdParty-dev/ParaView-5.4.0/VTK/Rendering/OpenGL/vtkXOpenGLRenderWindow.cxx, line 394
vtkXOpenGLRenderWindow (0x2c34810): Could not find a decent visual


X Error: BadValue (integer parameter out of range for operation) 2
  Extension: 154 (Uknown extension)
  Minor opcode: 3 (Unknown request)
  Resource id: 0x0X Error: GLXBadContext 169
  Extension: 154 (Uknown extension)
  Minor opcode: 5 (Unknown request)
  Resource id: 0x820043cX Error: 0 0
  Extension: 154 (Uknown extension)
  Minor opcode: 26 (Unknown request)
Segmentation fault (core dumped)
TagsDebian, ParaFOAM, paraview

Relationships

related to 0003033 resolvedchris paraFoam error: libGL error: No matching fbConfigs or visuals found 

Activities

wyldckat

2018-08-11 12:51

updater   ~0009948

Have you managed to solve this issue on your side?

If not, let us know which installation instructions you've followed for running OpenFOAM-dev on Docker.

If you are following the ones provided here: https://openfoam.org/download/dev-linux/ - then please try running the script "openfoam-dev-linux" with the option "-x", for example:

  openfoam-dev-linux -x

wyldckat

2018-08-30 10:29

updater   ~0010011

I believe that this issue is related to https://bugs.openfoam.org/view.php?id=3033 and that the file 'openfoam6-linux.patched1' provided there should fix this issue.

Issue History

Date Modified Username Field Change
2018-07-06 17:18 oscpintob New Issue
2018-07-06 17:18 oscpintob Tag Attached: paraview
2018-07-06 17:18 oscpintob Tag Attached: Debian
2018-07-06 17:18 oscpintob Tag Attached: ParaFOAM
2018-08-11 12:51 wyldckat Note Added: 0009948
2018-08-30 10:27 wyldckat Relationship added related to 0003033
2018-08-30 10:29 wyldckat Assigned To => wyldckat
2018-08-30 10:29 wyldckat Status new => closed
2018-08-30 10:29 wyldckat Resolution open => duplicate
2018-08-30 10:29 wyldckat Note Added: 0010011